# Uses of Class
org.eclipse.gef.cloudio.internal.ui.util.CloudMatrix

Packages that use CloudMatrix
Package
Description
org.eclipse.gef.cloudio.internal.ui.layout
org.eclipse.gef.cloudio.internal.ui.util

## Uses of CloudMatrix in org.eclipse.gef.cloudio.internal.ui.layout

Methods in org.eclipse.gef.cloudio.internal.ui.layout with parameters of type CloudMatrix
Modifier and Type
Method
Description
`boolean`
DefaultLayouter.`layout(Point offset, Word word, Rectangle cloudArea, CloudMatrix mainTree)`
Tries to position the given word in the given area.
`boolean`
ILayouter.`layout(Point initial, Word word, Rectangle cloudArea, CloudMatrix cloudMatrix)`
Places the given word within the defined rectangle, starting at the initial position.

## Uses of CloudMatrix in org.eclipse.gef.cloudio.internal.ui.util

Methods in org.eclipse.gef.cloudio.internal.ui.util with parameters of type CloudMatrix
Modifier and Type
Method
Description
`boolean`
RectTree.`fits(CloudMatrix mainTree)`
`void`
RectTree.`place(CloudMatrix mainTree, short id)`